Bug 34070 - Provide Unit Test for Usecase Framework
Provide Unit Test for Usecase Framework
Status: CLOSED FIXED
Product: Lenya
Classification: Unclassified
Component: Usecase Framework
unspecified
Other other
: P2 normal
: 1.4
Assigned To: Lenya Developers
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-18 10:48 UTC by Andreas Hartmann
Modified: 2006-08-22 04:25 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Hartmann 2005-03-18 10:48:54 UTC
It should be easy to implement a test case to test a usecase. The actual test
would be handled by checkPostConditions().
Comment 1 Andreas Hartmann 2005-04-19 17:29:39 UTC
It could even be possible to check & rollback, which means that usecases could
be tested without actually making changes to existing files.
Comment 2 Andreas Hartmann 2006-02-20 21:38:29 UTC
I added a test base class, but it uses the UsecaseInvoker - therefore changes
made by tests are committed.
Comment 3 Andreas Hartmann 2006-08-22 11:25:07 UTC
I added a TestUsecaseInvoker class which doesn't commit the transactions.